Skip to main content
GET
https://api.usenotra.com
/
v1
/
posts
List posts
curl --request GET \
  --url https://api.usenotra.com/v1/posts \
  --header 'Authorization: Bearer <token>'
{
  "organization": {
    "id": "<string>",
    "slug": "<string>",
    "name": "<string>",
    "logo": "<string>"
  },
  "posts": [
    {
      "id": "<string>",
      "title": "<string>",
      "slug": "<string>",
      "content": "<string>",
      "markdown": "<string>",
      "recommendations": "<string>",
      "contentType": "<string>",
      "status": "draft",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "sourceMetadata": "<unknown>"
    }
  ],
  "pagination": {
    "limit": 2,
    "currentPage": 2,
    "nextPage": 2,
    "previousPage": 2,
    "totalPages": 2,
    "totalItems": 1
  }
}

Authorizations

Authorization
string
header
required

Send your API key in the Authorization header as Bearer API_KEY.

Query Parameters

sort
enum<string>
default:desc

Sort by creation date

Available options:
asc,
desc
Example:

"desc"

limit
integer
default:10

Items per page

Required range: 1 <= x <= 100
Example:

10

page
integer
default:1

Page number

Required range: x >= 1
Example:

1

status

Filter by status. Repeat the query param to pass multiple values.

Available options:
draft,
published
contentType

Filter by content type. Repeat the query param to pass multiple values.

Available options:
changelog,
linkedin_post,
twitter_post,
blog_post

Response

Posts fetched successfully

organization
object
required
posts
object[]
required
pagination
object
required